<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetReferences Method (IEdmItem)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmItem Interface : GetReferences Method (IEdmItem)

Visual Basic
C#
C++/CLI

lEdmRefFlags
  Combination of EdmRefFlags bits

ppoRetReferences
  Array of EdmItemRef structures; one structure for each item reference

Gets item references.

# Syntax

Visual Basic |
--- | ---

    Sub GetReferences( _
       ByVal lEdmRefFlags As System.Integer, _
       ByRef ppoRetReferences() As EdmItemRef _
    )

C# |
--- | ---

    void GetReferences(
       System.int lEdmRefFlags,
       out EdmItemRef[] ppoRetReferences
    )

C++/CLI |
--- | ---

    void GetReferences(
    &   System.int lEdmRefFlags,
    &   [Out] array<EdmItemRef>^ ppoRetReferences
    )

#### Parameters

lEdmRefFlags
  Combination of EdmRefFlags bits
ppoRetReferences
  Array of EdmItemRef structures; one structure for each item reference

# Example

See the IEdmItem examples.

# Remarks

Call IEdmItem::UpdateReferences to add, update, or remove item references.

Use IEdmFile5::GetReferenceTree to enumerate item references.

Use IEdmBatchItemReferenceUpdate to quickly update the references of many items at the same time.

See the Programming Items topic for more information.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmItem Interface
IEdmItem Members

# Availability

SOLIDWORKS PDM Professional 2010